Get incomplete runs for an experiment
curl --request GET \
--url https://api.example.com/v1/experiments/{experiment_id}/incomplete-runsimport requests
url = "https://api.example.com/v1/experiments/{experiment_id}/incomplete-runs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/experiments/{experiment_id}/incomplete-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"dataset_example": {
"id": "<string>",
"node_id": "<string>",
"input": {},
"output": {},
"metadata": {},
"updated_at": "2023-11-07T05:31:56Z",
"source": {
"span_id": "<string>",
"span_node_id": "<string>"
}
},
"repetition_numbers": [
123
]
}
],
"next_cursor": "<string>"
}"<string>""<string>""<string>"Experiments
Get incomplete runs for an experiment
Get runs that need to be completed for this experiment.
Returns all incomplete runs, including both missing runs (not yet attempted) and failed runs (attempted but have errors).
Args: experiment_id: The ID of the experiment cursor: Cursor for pagination limit: Maximum number of results to return
Returns: Paginated list of incomplete runs grouped by dataset example, with repetition numbers that need to be run
GET
/
v1
/
experiments
/
{experiment_id}
/
incomplete-runs
Get incomplete runs for an experiment
Path Parameters
Query Parameters
Cursor for pagination
Maximum number of examples with incomplete runs to return
Was this page helpful?

